## org.gnu.gtk
Class TextChildAnchor

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.TextChildAnchor

public class TextChildAnchor
extends GObject

An anchor for embedding widgets within TextView widgets. You would usually only use the methods of `TextView` to sort out Child widgets.

Constructor Summary
`TextChildAnchor()` Constructs a new TextChildAnchor.
`TextChildAnchor(org.gnu.glib.Handle handle)`

Method Summary
`boolean` `getDeleted()` Returns true if the anchor has been deleted from the textbuffer.
`static TextChildAnchor` `getTextChildAnchor(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`Widget` `getWidget()` Returns the associated widget

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextChildAnchor

    public TextChildAnchor()

  Constructs a new TextChildAnchor.

### TextChildAnchor

    public TextChildAnchor(org.gnu.glib.Handle handle)

Method Detail

### getTextChildAnchor

    public static TextChildAnchor getTextChildAnchor(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getWidget

    public Widget getWidget()

  Returns the associated widget

### getDeleted

    public boolean getDeleted()

  Returns true if the anchor has been deleted from the textbuffer.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.